package com.ssj.service.conch.parents.v1.request;

import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import com.ssj.bean.common.framework.core.domain.BaseRequest;

/**
 * @author Mount Liu
 * @date 2018/11/16
 */
public class TopUpReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "money", value = "充值金额", required = true)
    private BigDecimal money;
	@ApiModelProperty(name = "source", value = "充值来源（1：微信支付，2：支付宝）", required = true)
	private int source;
	@ApiModelProperty(name = "appType", value = "程序端(6:家长端小程序;7:老师端小程序（校长端和老师端);11:app老师端;12:app家长端)", required = true)
	private int appType;

	public BigDecimal getMoney() {
		return money;
	}

	public void setMoney(BigDecimal money) {
		this.money = money;
	}

	public int getSource() {
		return source;
	}

	public void setSource(int source) {
		this.source = source;
	}

	public int getAppType() {
		return appType;
	}

	public void setAppType(int appType) {
		this.appType = appType;
	}
}
